Package wx :: Module media :: Class MediaEvent

[frames | no frames]

## Type MediaEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            MediaEvent

Proxy of C++ MediaEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, id=0)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1272601068(...)
  Set Method:
    unknown--1272601012(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:01 2007 | http://epydoc.sf.net